"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatOCRResult = exports.processOcr = void 0;
const tesseract_js_1 = require("tesseract.js");
async function processOcr(image, whitelistChars) {
    const worker = tesseract_js_1.createWorker();
    try {
        await worker.load();
        await worker.loadLanguage("eng");
        await worker.initialize("eng");
        await worker.setParameters({
            tessedit_char_whitelist: whitelistChars,
            tessedit_pageseg_mode: "7",
            tessedit_ocr_engine_mode: 2,
        });
        const response = await worker.recognize(image);
        return response.data.text;
    }
    catch (err) {
        throw err;
    }
    finally {
        worker.terminate();
    }
}
exports.processOcr = processOcr;
function formatOCRResult(text) {
    return text.trim().replace(/[^0-9a-zA-Z]+/g, "");
}
exports.formatOCRResult = formatOCRResult;
//# sourceMappingURL=ocr.js.map