"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractValue = exports.extractText = void 0;
async function extractText(page, selector, options) {
    try {
        const waitedEl = await page.waitForSelector(selector, {
            timeout: (options === null || options === void 0 ? void 0 : options.timeout) || 500,
            visible: (options === null || options === void 0 ? void 0 : options.visible) || true,
        });
        return await page.evaluate((element) => element.textContent, waitedEl);
    }
    catch (err) {
        return null;
    }
}
exports.extractText = extractText;
async function extractValue(page, selector) {
    try {
        const waitedEl = await page.waitForSelector(selector);
        return await page.evaluate((element) => element.value, waitedEl);
    }
    catch (err) {
        return null;
    }
}
exports.extractValue = extractValue;
//# sourceMappingURL=puppeteerHelper.js.map